-- $Id: GraphDisplay.hs,v 1.2 2013/03/24 09:40:54 leavens Exp $
module GraphDisplay where
data Graph = Section {size :: Int, center :: (Int,Int), 
                      fun :: (Int -> Int)}
data Display = Grid {delta :: Int, middle :: (Int,Int), 
                     points :: ((Int,Int) -> Char)}

point = '*'
nothing = ' '

graph2display :: Graph -> Display
graph2display (Section {size = n, center = (x,y), fun = f}) =
    Grid {delta = n `div` 2, middle = (x,y), 
          points = (\(i,j) -> if f i == j then point else nothing)}
